// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdOnDeviceDocumentScanner",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdOnDeviceDocumentScanner", targets: ["WebIdOnDeviceDocumentScannerWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-document-scanner-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "DocumentReader",
            url: "https://github.com/regulaforensics/DocumentReader-Swift-Package",
            .exact("7.5.4221")
        ),
        .package(
            name: "Full",
            url: "https://github.com/regulaforensics/DocumentReaderFull-Swift-Package",
            .exact("7.5.11015")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdOnDeviceDocumentScanner/13.5.0/WebIdOnDeviceDocumentScanner.framework-v13.5.0-SNAPSHOT-1406.zip",
            checksum: "dd1c8eb9a5cdd9946d02b0ff8196b02d5016b40694caa6a4ef31118151f12f7f"
        ),
        .target(
            name: "WebIdOnDeviceDocumentScannerWrapper",
            dependencies: [
                .target(name: "WebIdOnDeviceDocumentScanner"),
                // [target dependecies here]
                
                .product(name: "WebIdDocumentScanner", package: "WebIdDocumentScanner"),
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "DocumentReader", package: "DocumentReader"),
                .product(name: "Full", package: "Full"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
